Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
net-browsers, chromium and others
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
while true
Guru
Guru


Joined: 07 Apr 2010
Posts: 509
Location: Ljubljana, Slovenia

PostPosted: Tue Jun 08, 2010 8:11 am    Post subject: net-browsers, chromium and others Reply with quote

Ola

I am still new to gentoo, and my English is bad... I use xfce desktop, on 64 bit hp laptop

Ok, so I am unemployed, and I got this exam to gain certificate for 'web site maker'...
The thing is, that now I need as much web browsers as I can get...
I know for this site, that you enter your url, and choose platform and browsers to get screenshoots of that page, which is great, but time consuming and it is a picture (no scrolling down the page...)

So, I managed to install opera and dillo, and ff.
First question is, which are other browsers that can run on gentoo?

Second question is about chrome, os chromium, as I understand that it is called for gnu/linux distros.
I get message that it is blocked. I read the gentoo handbook on that:
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

but I do not understand...
here is my output:

Code:
grom@C6820s ~ $ emerge -pv www-client/chromium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] media-video/ffmpeg-0.5_p22846 [0.5_p20373] USE="3dnow 3dnowext X alsa encode hardcoded-tables mmx mmxext mp3 ssse3 threads* zlib (-altivec) -amr -bindist -cpudetection -custom-cflags -debug -dirac -doc -faac -faad -gsm -ieee1394 -jack -jpeg2k -network -oss -pic -schroedinger -sdl -speex -test -theora -v4l -v4l2 -vdpau -vorbis -x264 -xvid (-ipv6%*)" VIDEO_CARDS="-nvidia" 3,589 kB
[ebuild  N    ] www-client/chromium-5.0.375.70  USE="plugins-symlink" 159,368 kB
[blocks B     ] www-plugins/gecko-mediaplayer[gnome] ("www-plugins/gecko-mediaplayer[gnome]" is blocking www-client/chromium-5.0.375.70)

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 162,957 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'www-plugins/gecko-mediaplayer-0.9.9.2', 'nomerge') pulled in by
    www-plugins/gecko-mediaplayer required by world

  ('ebuild', '/', 'www-client/chromium-5.0.375.70', 'merge') pulled in by
    www-client/chromium


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

grom@C6820s ~ $


so, gecko-mediaplayer[gnome] is making me trouble...
I guess I need mediaplayer, but I would also need to have chromium...


Thank you!
_________________
Kind regards, Goran Mitic

alive
while true
kick ass
Back to top
View user's profile Send private message
bendeguz
Apprentice
Apprentice


Joined: 10 Feb 2010
Posts: 189

PostPosted: Tue Jun 08, 2010 10:39 am    Post subject: Reply with quote

Have a look at the output of this for browsers.
Code:
 
emerge -s "%@^www-client"


Btw, midori is quite useable, you can try surf and uzbl too.
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7711
Location: Saint Amant, Acadiana

PostPosted: Tue Jun 08, 2010 12:51 pm    Post subject: Reply with quote

AFAIK there are standards compliant web browsers and there is IE.
Back to top
View user's profile Send private message
phajdan.jr
Retired Dev
Retired Dev


Joined: 23 Mar 2006
Posts: 1777
Location: Poland

PostPosted: Tue Jun 08, 2010 3:48 pm    Post subject: Re: net-browsers, chromium and others Reply with quote

while true wrote:
so, gecko-mediaplayer[gnome] is making me trouble...
I guess I need mediaplayer, but I would also need to have chromium...


Either disable the "gnome" USE flag for gecko-mediaplayer, or disable the "plugins-symlink" USE flag for chromium. The block is here to prevent bad browser hangs with gecko-mediaplayer.

For more info about USE flags (especially setting per-package USE flags), see http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=2.
_________________
http://phajdan-jr.blogspot.com/
Back to top
View user's profile Send private message
while true
Guru
Guru


Joined: 07 Apr 2010
Posts: 509
Location: Ljubljana, Slovenia

PostPosted: Tue Jun 08, 2010 9:49 pm    Post subject: Reply with quote

Hello gentoo members!

emerge -s "%@^www-client" made my day!!!
I got now: ff, dillo, opera, epiphany, seamonkey, conkeror, icecat, and JD, which I'll unmerge, since I can not read it (I am not sure, but it is in chineese or janapeese, so, no go for me, kheh)


About chromium, what is gecko-mediaplayer exactly? I would prefer to have fully functional chromium...
So...how do I disable one of them?


Galeon
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/www-client/galeon-2.0.7-r1/work/galeon-2.0.7/config.log
* ERROR: www-client/galeon-2.0.7-r1 failed:
* econf failed
*
* Call stack:
* ebuild.sh, line 54: Called src_compile
* environment, line 2952: Called econf '--with-mozilla=libxul-embedding-unstable'
* ebuild.sh, line 544: Called die
* The specific snippet of code:
* die "econf failed"
...
...


Kazehakase:
* ERROR: www-client/kazehakase-0.5.6-r1 failed:
* (no error message)
*
* Call stack:
* ebuild.sh, line 54: Called src_compile
* environment, line 3224: Called die
* The specific snippet of code:
* emake || die
*
...
...

For midori I got:
!!! A file listed in the Manifest could not be found: /usr/portage/dev-libs/icu/icu-4.4-r1.ebuild


For rekonq I had to unmask and use flags to end up with this:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
...
...
It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously. You may want to try a larger value of the
--backtrack option, such as --backtrack=30, in order to see if that will
solve this conflict automatically.
(I did not emerge rekonq)

Which remainded me of Konqueror, and I tried to emerge it, but I ended up with same "worning" as for rekonq, so I did not emedge Konqueror, but I would much like to...
Is it safe to proceede with emerging at this point?


links clears the screen (like clear) and than it is just blinking cursor, I can not write. I get out with ctrl + C

For Surf, I get missing keyword, which means it is not for my architecture, yet...

How can I get IE to work on Gentoo?

Thank you.
_________________
Kind regards, Goran Mitic

alive
while true
kick ass
Back to top
View user's profile Send private message
phajdan.jr
Retired Dev
Retired Dev


Joined: 23 Mar 2006
Posts: 1777
Location: Poland

PostPosted: Wed Jun 09, 2010 6:38 am    Post subject: Reply with quote

while true wrote:
About chromium, what is gecko-mediaplayer exactly? I would prefer to have fully functional chromium...
So...how do I disable one of them?


Have you read the doc I linked to? http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=2. I think the answer is there. To be more specific, you should look at the /etc/portage/package.use file. Please let me know if you have further questions.

while true wrote:
How can I get IE to work on Gentoo?


Internet Explorer is a Windows-only application, it won't work on Linux (at least natively).
_________________
http://phajdan-jr.blogspot.com/
Back to top
View user's profile Send private message
cach0rr0
Bodhisattva
Bodhisattva


Joined: 13 Nov 2008
Posts: 4123
Location: Houston, Republic of Texas

PostPosted: Wed Jun 09, 2010 7:17 am    Post subject: Reply with quote

you shouldn't need gecko-mediaplayer realistically

if you're worried about being able to play media in your browser, don't - there are other better ways to go about it

Code:

$ eix gecko-mediaplayer
* www-plugins/gecko-mediaplayer
     Available versions:  0.9.8 0.9.9.2 {gnome}
     Homepage:            http://code.google.com/p/gecko-mediaplayer/
     Description:         A browser plugin that uses GNOME MPlayer


Right, so, looking at gecko-mplayer...you should not need it

If you agree, and you wish to remove it:

Code:

emerge -C gecko-mplayer
emerge www-client/chromium

_________________
Lost configuring your system?
dump lspci -n here | see Pappy's guide | Link Stash
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7711
Location: Saint Amant, Acadiana

PostPosted: Wed Jun 09, 2010 12:42 pm    Post subject: Reply with quote

Maybe I misunderstood your problem. You want to build websites and make sure your sites display correctly with different browsers? Or you just want to collect as many browsers as you can?
Back to top
View user's profile Send private message
while true
Guru
Guru


Joined: 07 Apr 2010
Posts: 509
Location: Ljubljana, Slovenia

PostPosted: Wed Jun 09, 2010 3:37 pm    Post subject: Reply with quote

just quick feedback, I have some moonlightning to do (I hope that is right expression)

First, sorry phajdan, I will read your link, I am without job, and at the same time I am running out of time...
So, I will do that.

And I will try to remove gecko and install chromium.

Yes, my intention is to gather as much as possible different web browsers,
as I need that to check out web-sites that I develop.

I have to go (ran)

thank you
_________________
Kind regards, Goran Mitic

alive
while true
kick ass
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7711
Location: Saint Amant, Acadiana

PostPosted: Wed Jun 09, 2010 3:41 pm    Post subject: Reply with quote

Quote:
Yes, my intention is to gather as much as possible different web browsers,
as I need that to check out web-sites that I develop.

Well, then I'd repeat what I said. There are standards compliant web browsers and there is IE.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
phajdan.jr
Retired Dev
Retired Dev


Joined: 23 Mar 2006
Posts: 1777
Location: Poland

PostPosted: Wed Jun 09, 2010 3:46 pm    Post subject: Reply with quote

Jaglover wrote:
There are standards compliant web browsers and there is IE.


There are still some subtle differences between the others, especially with the more recent standards (HTML 5). However, you don't need all the browsers from portage to test. I'd recommend just the following:

- Firefox
- Opera
- Chromium

and IE on a Windows machine (you can use a virtual machine on Linux, like VirtualBox).
_________________
http://phajdan-jr.blogspot.com/
Back to top
View user's profile Send private message
xenon
Guru
Guru


Joined: 25 Dec 2002
Posts: 432
Location: Europe

PostPosted: Thu Jun 17, 2010 1:54 pm    Post subject: Reply with quote

Internet Explorer is in portage:

app-emulation/ies4linux

About gecko-mediaplayer, if you suggest against it and mention better alternatives, it would be nice to call them by name. In this case, I guess they are VLC, xine, parole and totem (some backends overlap, of course).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum